{#- For name header -#}
#ifndef {{ name|upper }}_LAYER_H
#define {{ name|upper }}_LAYER_H

{# For layer configuration -#}
#define {{ name|upper }}_INPUTS_SIZE {{ nb_inputs }}
#define {{ name|upper }}_OUTPUTS_SIZE {{ nb_outputs }}

#endif /* {{ name|upper }}_LAYER_H */